package com.platform.service.impl;

import com.platform.dao.OrderShippingDao;
import com.platform.entity.OrderShippingEntity;
import com.platform.service.OrderShippingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * Created by Hb_zzZ on 2020/3/27.
 */
@Service("orderShippingService")
public class OrderShippingServiceImpl implements OrderShippingService {

    @Autowired
    private OrderShippingDao orderShippingDao;

    @Override
    public OrderShippingEntity queryObject(Integer id) {
        return orderShippingDao.queryObject(id);
    }

    @Override
    public List<OrderShippingEntity> queryList(Map<String, Object> map) {
        return orderShippingDao.queryList(map);
    }

    @Override
    public int queryTotal(Map<String, Object> map) {
        return orderShippingDao.queryTotal(map);
    }

    @Override
    public void save(OrderShippingEntity shippingEntity) {
        orderShippingDao.save(shippingEntity);
    }

    @Override
    public void update(OrderShippingEntity shippingEntity) {
        orderShippingDao.update(shippingEntity);
    }

    @Override
    public void delete(Integer id) {
        orderShippingDao.delete(id);
    }

    @Override
    public void deleteBatch(Integer[] ids) {
        orderShippingDao.deleteBatch(ids);
    }
}
